local addon, ns = ...
local cfg = ns.cfg


---------------- > Some slash commands
SlashCmdList['RELOADUI'] = function() ReloadUI() end
SLASH_RELOADUI1 = '/rl'

SlashCmdList["CLCE"] = function() CombatLogClearEntries() end
SLASH_CLCE1 = "/clfix"

------------------ >Hide Party
local partydestroyer = CreateFrame("FRAME")
partydestroyer:RegisterEvent("PLAYER_ENTERING_WORLD")
partydestroyer:SetScript("OnEvent", function(self,event,...)
   if event == "PLAYER_ENTERING_WORLD" then
              for i=1,4 do
                _G["PartyMemberFrame"..i]:SetScript("OnEvent", nil);
              end
         HidePartyFrame()
   end
 end)
 
-------------- >Reset WorldStateAlwaysUpFrame
--[[ WorldStateUpFrame Mover by Sniffles
    Credits:blooblahguy (move func)    tekkub (wow ui source)]]
	  
-- Config
local font = [[Fonts\ARIALN.ttf]] -- FONT
local fsize = 12 -- FONTSIZE
local _G = _G
local UIParent = UIParent
local function dummy() end

local function WorldStateAlwaysUpFrame_Update()   
   _G["WorldStateAlwaysUpFrame"]:ClearAllPoints()
   _G["WorldStateAlwaysUpFrame"].ClearAllPoints = dummy
   _G["WorldStateAlwaysUpFrame"]:SetPoint("TOPLEFT", UIParent, "TOPLEFT", 400, -10)
   _G["WorldStateAlwaysUpFrame"].SetPoint = dummy
   local alwaysUpShown = 1   
   for i = alwaysUpShown, NUM_ALWAYS_UP_UI_FRAMES do   
      _G["AlwaysUpFrame"..i.."Text"]:SetFont(font, fsize)
   end
end
hooksecurefunc("WorldStateAlwaysUpFrame_Update", WorldStateAlwaysUpFrame_Update)

---------------- > Max camera distance, screenshots quality, LFD tooltip fix
SetCVar("cameraDistanceMax", 50)
SetCVar("screenshotQuality", cfg.ScreenshotQuality)
LFDSearchStatus:SetFrameStrata("HIGH")

---------------- > AutoRepair and sell grey junk
local g = CreateFrame("Frame")
g:RegisterEvent("MERCHANT_SHOW")
g:SetScript("OnEvent", function()   
    if(cfg.SellGreyJunk==true) then
        local bag, slot 
        for bag = 0, 4 do
            for slot = 0, GetContainerNumSlots(bag) do
                local link = GetContainerItemLink(bag, slot)
                if link and (select(3, GetItemInfo(link))==0) then
                    UseContainerItem(bag, slot)
                end
            end
        end
    end 
	if(cfg.AutoRepair==true and CanMerchantRepair()) then
			  local cost = GetRepairAllCost()
		if cost > 0 then
			local money = GetMoney()
			if IsInGuild() then
				local guildMoney = GetGuildBankWithdrawMoney()
				if guildMoney > GetGuildBankMoney() then
					guildMoney = GetGuildBankMoney()
				end
				if guildMoney > cost and CanGuildBankRepair() then
					RepairAllItems(1)
					print(format("|cfff07100Repair cost covered by G-Bank: %.1fg|r", cost * 0.0001))
					return
				end
			end
			if money > cost then
					RepairAllItems()
					print(format("|cffead000Repair cost: %.1fg|r", cost * 0.0001))
			else
				print("Not enough gold to cover the repair cost.")
			end
		end
	end 
end)

---------------- > Hiding default blizzard's Error Frame (thx nightcracker)
if cfg.HideErrors then
local f, o, ncErrorDB = CreateFrame("Frame"), "No error yet.", {
	["Inventory is full"] = true,
}
f:SetScript("OnEvent", function(self, event, error)
	if ncErrorDB[error] then
		UIErrorsFrame:AddMessage(error)
	else
	o = error
	end
end)
SLASH_NCERROR1 = "/error"
function SlashCmdList.NCERROR() print(o) end
UIErrorsFrame:UnregisterEvent("UI_ERROR_MESSAGE")
f:RegisterEvent("UI_ERROR_MESSAGE")
end