local addon, ns = ...
local cfg = CreateFrame("Frame")

--media
cfg.backdrop_edge_texture = "Interface\\AddOns\\oUF_Qulight\\media\\textures\\backdrop_edge"
cfg.statusbar_texture = "Interface\\AddOns\\oUF_Qulight\\media\\textures\\normTex"
cfg.powerbar_texture = "Interface\\AddOns\\oUF_Qulight\\media\\textures\\normTex"
cfg.backdrop_texture = "Interface\\AddOns\\oUF_Qulight\\media\\textures\\backdrop"
cfg.highlight_texture = "Interface\\AddOns\\oUF_Qulight\\media\\textures\\raidbg"
cfg.debuffBorder = "Interface\\AddOns\\oUF_Qulight\\media\\textures\\iconborder"

cfg.font = "Fonts\\ZYHei.TTF" -- main font oUF_Qulight
cfg.fontsize = 10


cfg.HealFrames = fales -- Raid Frames for healers
cfg.showIndicators = true -- buffs indicators on healframes only
cfg.showAuraWatch = true -- buffs timer on raid frames(hots, shields etc)
cfg.ShowParty = true -- show party frames (shown as 5man raid)
cfg.ShowRaid = true -- show raid frames
cfg.RaidShowSolo = false -- show raid frames even when solo
cfg.RaidShowAllGroups = false -- show raid groups 6, 7 and 8 (more than 25man raid)
cfg.enableDebuffHighlight = true -- enable *dispelable* debuff highlight for raid frames
cfg.showRaidDebuffs = true -- enable important debuff icons to show on raid units
cfg.showtot = true -- show target of target frame
cfg.showpet = true -- show pet frame
cfg.showfocus = true -- show focus frame
cfg.showfocustarget = true -- show focus target frame
cfg.showBossFrames = true -- show boss frame
cfg.TotemBars = true -- show Totem Bars
cfg.MTFrames = false -- show main tank frames
cfg.Reputationbar = true -- show Reputation bar
cfg.Experiencebar = true -- show Experience bar
cfg.showPlayerAuras = false -- use a custom player buffs/debuffs frame instead of Blizzard's default.
cfg.ThreatBar = true  -- show Threat Bar
cfg.showRunebar = true -- show DK rune bar
cfg.showHolybar = true -- show Paladin HolyPower bar
cfg.showEclipsebar = true -- show druid Eclipse bar
cfg.showShardbar = true -- show Warlock SoulShard bar
cfg.RCheckIcon = true -- show raid check icon
cfg.Castbars = true -- use built-in castbars
cfg.showLFDIcons = true -- Show dungeon role icons in raid/party
cfg.showPortrait = true
cfg.buffsOnlyShowPlayer = true
--Frame positions

--player
cfg.playerx = -150
cfg.playery = 250

--target
cfg.targetx = 150
cfg.targety = 250


ns.cfg = cfg